<div ng-controller="DetalleSemanaCtrl">
    <div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!-- <li>
                  <a href="#/home/semana/lista_semana">Semanas</a>
                </li> -->
              </ul>
            </div>
        </div>
        <div class="card-container">
            <div class="panel panel-success">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-list"></i> Lista de Contenedores</h3>
            </div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-4">
                        <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.semana.lista_semana"><i class="fa fa-arrow-left"></i>  Regresar</a>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-4">
                        <input type="text" class="form-control" placeholder="Buscar contenedor" ng-model="buscar">
                    </div>
                    <div class="col-md-4">
                        <a ui-sref="home.semana.upload" class="btn btn-info btn-rounded-10 btn-block"><i class="fa fa-files-o"></i> gestión de archivos</a>
                    </div>
                    <div class="col-md-4">
                        <button ng-if="permisosHas('contenedor.registrar')" class="btn btn-rounded-10 btn-success btn-block" ng-click ="clear();openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar contenedor</button>
                    </div>
                </div>
                <div class="loading-container" ng-if="flag">
                    <div class="loading"></div>
                    <div id="loading-text">Cargando</div>
                </div>
                <div class="row" ng-if="containers.length > 0 && !flag">
                    <hr>
                    <div class="col-md-4">
                        
                    </div>
                    <div class="col-md-4">
                        
                    </div>
                    <div class="col-md-4">
                        <div class="pull-right">
                           <h4><strong>Cantidad : {{containers.length}} Contenedores</strong></h4> 
                        </div>
                    </div>
                </div>
                <div class="table-responsive" ng-if="containers.length > 0 && !flag">
                    <table class="table table-bordered">
                        <tr style="background:#F2F2F2">
                            <th style="vertical-align: middle;">Opciones</th>
                            <th style="vertical-align: middle;">Estado</th>
                            <th style="vertical-align: middle;">W</th>
                            <th style="vertical-align: middle;">Inicio Proceso</th>
                            <th style="vertical-align: middle;">Fin Proceso</th>
                            <th style="vertical-align: middle;">Operador Logístico</th>
                            <th style="vertical-align: middle;">Línea</th>
                            <th style="vertical-align: middle;">Nave</th>
                            <th style="vertical-align: middle;">Booking</th>
                            <th style="vertical-align: middle;">Cliente</th>
                            <th style="vertical-align: middle;">Cantidad Cajas</th>
                            <th style="vertical-align: middle;">Marca</th>
                            <th style="vertical-align: middle;">Contenedor</th>
                            <th style="vertical-align: middle;">Orden/Referencia</th>
                            <th style="vertical-align: middle;">Destino</th>
                            <th style="vertical-align: middle;">Peso Neto (Kg)</th>
                            <th style="vertical-align: middle;">Peso Bruto (Kg)</th>
                            <th style="vertical-align: middle;">Fecha Zarpe</th>
                            <th style="vertical-align: middle;">Fecha Llegada</th>
                            <th style="vertical-align: middle;">Factura</th>
                            <th style="vertical-align: middle;">Packing</th>
                            <th style="vertical-align: middle;">Certificado</th>
                            <th style="vertical-align: middle;">Valija</th>
                            <th style="vertical-align: middle;">BL's</th>
                        </tr>
                        <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 6" pagination-id="con.id_contenedor" current-page="pagination.current">
                            <tr ng-class="{'info': con.estado == 'En la nave'}">
                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                    <div class="input-group-btn">
                                        <button class="btn btn-default" title="Editar Contenedor {{con.numero_contenedor}}" ng-click="load(con);openModalSave($event)" data-options="splash-2 splash-ef-14"><span class="fa fa-edit"></span></button>
                                        <button class="btn btn-default" title="Eliminar Contenedor {{con.numero_contenedor}}" ng-click="load(con);openModalDelete($event)" data-options="splash-2 splash-ef-14"><span class="fa fa-trash"></span></button>
                                        <!-- <button class="btn btn-default" title="Ver más detalles del Contenedor {{con.numero_contenedor}}" ng-click="redirectDetalle(con)"><i class="fa fa-desktop"></i></button> -->
                                    </div>
                                </td>
                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                    <select style="color: white;background: {{con.color_estado}};width:130px" class="form-control" ng-change="changeEstado(con)" ng-model="con.id_estado" ng-options="st.id as st.nombre for st in estados">
                                        <option value="">-- Seleccione Estado --</option>
                                    </select>
                                </td>
                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap><small>{{con.semana}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_proceso_inicio | date:'dd-MM-yyyy'}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_proceso_fin | date:'dd-MM-yyyy'}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.operador}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.linea_naviera}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.sigla_linea_naviera}} - {{con.nave | uppercase}} V. {{con.viaje}}</small></td>
                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}"><small>{{con.booking}}</small></td>
                                <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap><small>{{con.cliente}}</small></td>
                                <td style="vertical-align: middle;" nowrap>{{ con.cajas[0].cantidad_cajas }}</td>
                                <td style="vertical-align: middle;" nowrap>{{con.cajas[0].marca}}</td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.numero_contenedor}}</small></td>
                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}"><small>{{con.referencia}}</small></td>
                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}"><small>{{con.puerto_destino}}</small></td>
                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}"><small>{{con.peso_neto}}</small></td>
                                <td style="vertical-align:middle;" rowspan="{{con.cajas.length+1}}"><small>{{con.peso_bruto}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_zarpe | date:'dd-MM-yyyy'}}</small></td>
                                <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_llegada | date:'dd-MM-yyyy'}}</small></td>
                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                    <span style="color: white;background: {{con.color_estado_factura}};" class="label">{{con.estado_factura}}</span>
                                </td>
                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                    <span style="color: white;background: {{con.color_estado_packing}};" class="label">{{con.estado_packing}}</span>
                                </td>
                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                    <span style="color: white;background: {{con.color_estado_certificado}};" class="label">{{con.estado_certificado}}</span>
                                </td>
                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                    <span style="color: white;background: {{con.color_estado_valija}};" class="label">{{con.estado_valija}}</span>
                                </td>
                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                    <span style="color: white;background: {{con.color_estado_vl}};" class="label">{{con.estado_vl}}</span>
                                </td>
                            </tr>
                            <tr  ng-class="{'info': con.estado == 'En la nave'}" ng-repeat="caj in con.cajas.slice(1,con.cajas.length)">
                                <td nowrap>{{caj.cantidad_cajas}}</td>
                                <td nowrap>{{caj.marca}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="text-center" ng-if="!flag">
                    <dir-pagination-controls pagination-id="con.id_contenedor" ></dir-pagination-controls>
                </div>
                <div ng-if="containers.length == 0 && !flag">
                    <p class="text-center">
                        <i class="fa fa-truck fa-4x"></i>
                        <h5 class="text-center">no hay contenedores registrados para esta semana...</h5>
                    </p>
                </div>
            </div>
        </div>
        </div>
    </div>

    <script type="text/ng-template" id="modal_container.html">
        <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font" style="font-weight: bold;">
                    <span ng-show="obj.crud">Datos del </span><span ng-hide="obj.crud">Actualizar datos del </span> Contenedor
                </h3>
            </div>            
        </div>
        <div class="modal-body">
            <form> 
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-12">
                                    <label for="">Número</label>
                                    <input type="text" ng-model="obj.numero_contenedor" class="form-control" id="codigo" placeholder="Ejm. LIAM 989873-1">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Línea Naviera | <span class="obligatorio">(obligatorio)</span></label>
                                    <select class="form-control" ng-model="obj.id_lineanaviera" ng-options="li.id as li.nombre for li in lineas">
                                        <option value="">-- Seleccione Línea --</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Nave | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="text" ng-model="obj.nave" class="form-control" placeholder="Nave">
                                </div>                                
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Cliente | <span class="obligatorio">(obligatorio)</span></label>  
                                    <select class="form-control" ng-model="obj.id_cliente" ng-change="selectCliente(obj.id_cliente)" ng-options="cl.id as cl.razon_social for cl in clientes">
                                        <option value="">-- Seleccione Cliente --</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Operador | <span class="obligatorio">(obligatorio)</span></label>
                                    <select class="form-control" ng-model="obj.id_operador" 
                                    ng-options="op.id as op.nombre for op in operadores">
                                        <option value="">-- Seleccione Operador --</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Peso Neto (kg)</label>
                                    <input type="text" ng-model="obj.peso_neto" class="form-control" placeholder="Peso Neto" disabled>
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Peso Bruto (kg)</label>
                                    <input type="text" class="form-control" ng-model="obj.peso_bruto" placeholder="Peso Bruto">
                                </div>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-6">

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Referencia | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="text" ng-model="obj.referencia" class="form-control" placeholder="Referencia">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Booking | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="text" ng-model="obj.booking" class="form-control" placeholder="Booking">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="">Viaje | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="text" ng-model="obj.viaje" class="form-control" placeholder="Viaje">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Puerto Destino | <span class="obligatorio">(obligatorio)</span></label>
                                    <select class="form-control" ng-model="obj.id_puertodestino" ng-options="pu.id as pu.nombre for pu in puertos">
                                        <option value="">-- Seleccione Puerto --</option>
                                    </select>
                                </div>                       
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Fecha Inicio Proceso | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="date" ng-model="obj.fecha_proceso_inicio_t" class="form-control">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Fecha Fin Proceso | <span class="obligatorio">(obligatorio)</span></label>
                                    <input type="date" ng-model="obj.fecha_proceso_fin_t" class="form-control">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Fecha de Zarpe</label>
                                    <input type="date" ng-model="obj.fecha_zarpe_t" class="form-control">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Fecha de Llegada</label>
                                    <input type="date" ng-model="obj.fecha_llegada_t" class="form-control">
                                </div>
                            </div>
                        </div>

                    </div>                    
                </div>
                <legend class="text-center"><i class="fa fa-inbox"></i> Agregar cajas | <span class="obligatorio">(obligatorio)</span></legend>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="">Total Cajas</label>
                            <input type="number" class="form-control" min="0" ng-model="objCajas.total" placeholder="Total">
                        </div>
                        <div class="form-group">
                            <label for="">Tipo de Caja</label>
                            <select class="form-control" ng-model="objCajas.id_caja"  ng-options="ca.id as ca.marca for ca in cajas" ng-change="changeCajas()">
                                <option value="">-- Seleccione Caja --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-success btn-block" ng-disabled="!objCajas.id_caja" ng-click="addCajas()"><span class="fa fa-plus-circle"> Agregar</span></button>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Total</th>
                                        <th class="text-center">Marca</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="cja in cajasAdd track by $index">
                                        <td><strong>{{cja.cantidad_cajas}}</strong></td>
                                        <td><strong>{{cja.marca | uppercase}}</strong></td>
                                        <td width="150px" class="text-center">
                                            <button class="btn btn-danger btn-xs text-center" ng-click="deleteArray($index)"><i class="fa fa-close"></i></button>
                                        </td>
                                    </tr>
                                    <tr ng-if="cajasAdd.length > 0">
                                        <td><strong>{{totalCajas}}</strong></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <hr>
                 <div class="text-center">
                    <button type="button" ng-if="isSave" class="btn btn-primary btn-rounded-10" ng-click="ok()">
                    <span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"><i class="fa fa-refresh"></i> Actualizar</span></button>
                    <button ng-if="!isSave" class="btn btn-border btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> <span ng-if="obj.crud">Guardando...</span><span ng-if="!obj.crud">Actualizando...</span></button>
                    <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
                </div>                
            </form>
        </div>
    </script>   

    <script type="text/ng-template" id="modal_container_delete.html">
        <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea eliminar este Contenedor?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center">
                <h3>{{obj.numero_contenedor}}</h3>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i>Cancelar</button>
                <button type="button" class="btn btn-danger btn-rounded-10" ng-click="ok()"><i class="fa fa-trash"></i> Eliminar</button>
            </div>
        </div>
    </script>
</div>